<?php

namespace App\Util;

class RequestHandler {
  static function getKey(String $key, $defaultValue = "") {
    $loweredKey = strtolower($key);
    $allHeaders = RequestHandler::getAllHeaders();
    $responseValue = isset($allHeaders[$loweredKey]) ? $allHeaders[$loweredKey] : $defaultValue;
    return $responseValue;
  }

  static function getAllHeaders() {
    $allHeaders = getallheaders();
    if (!empty($allHeaders)) {
      $allHeaders = array_change_key_case($allHeaders);
      return $allHeaders;
    } else {
      return [];
    }
  }

  static function getHost() {
    $host = '';
    if (isset($_SERVER['HTTP_ORIGIN']) && $_SERVER['HTTP_ORIGIN']) {
      $host = $_SERVER['HTTP_ORIGIN'];
    } else {
      $host = RequestHandler::getKey('origin');
    }
    return $host;
  }
}